#
# spec file for package fcitx5-zhuyin
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fcitx5-zhuyin
Version:        5.1.3
Release:        1.2
Summary:        Libzhuyin Wrapper for Fcitx5
License:        GPL-2.0-or-later
URL:            https://github.com/fcitx/fcitx5-zhuyin
Source:         https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}_dict.tar.zst
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  fcitx5-devel
BuildRequires:  fmt-devel
BuildRequires:  gcc-c++
BuildRequires:  libpinyin-devel
BuildRequires:  pkgconfig
BuildRequires:  zstd
Requires:       fcitx5
Provides:       fcitx-zhuyin = %{version}
Obsoletes:      fcitx-zhuyin <= 0.1.1
%if 0%{?suse_version} <= 1520
BuildRequires:  appstream-glib-devel
%endif

%description
Libzhuyin Wrapper for Fcitx5.

%prep
%setup -q

%build
%cmake
%make_build

%install
%cmake_install
%find_lang %{name}

%files -f %{name}.lang
%license LICENSES
%doc README
%dir %{_fcitx5_datadir}/lua
%dir %{_fcitx5_datadir}/lua/imeapi
%dir %{_fcitx5_datadir}/lua/imeapi/extensions
%{_fcitx5_libdir}/zhuyin.so
%{_fcitx5_addondir}/zhuyin.conf
%{_fcitx5_imconfdir}/zhuyin.conf
%{_fcitx5_datadir}/zhuyin
%{_datadir}/icons/hicolor/*/apps/fcitx-bopomofo*
%{_datadir}/icons/hicolor/*/apps/org.fcitx.Fcitx5.fcitx-bopomofo*
%{_fcitx5_datadir}/lua/imeapi/extensions/zhuyin.lua
%{_datadir}/metainfo/org.fcitx.Fcitx5.Addon.Zhuyin.metainfo.xml

%changelog
* Wed Jan 29 2025 Marguerite Su <i@marguerite.su>
- update to 5.1.3
  * Fix compatibility with libpinyin 2.9.92
  * Rename icon from fcitx-zhuyin to fcitx-bopomofo
  * Use addon factory v2
* Sun Jan  5 2025 Marguerite Su <i@marguerite.su>
- update to 5.1.2
  * translation update
* Thu May 23 2024 Marguerite Su <i@marguerite.su>
- update to 5.1.1
  * translation update
* Sun Aug 20 2023 Marguerite Su <i@marguerite.su>
- update to 5.1.0
  * translation update
- drop fcitx5-zhuyin-no-download.patch
* Fri Mar 17 2023 Dirk Müller <dmueller@suse.com>
- update to 5.0.12:
  * Add all size of icons
  ￼
* Wed Mar  8 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Do not BuildRequire libzhuyin13: this is brought in by the
  relevant devel package.
* Sun Nov 20 2022 Fusion Future <qydwhotmail@gmail.com>
- Update to 5.0.11
  * Update translation
* Tue Jul  5 2022 Fusion Future <qydwhotmail@gmail.com>
- Update to 5.0.10
  * Update translation
* Wed Mar 16 2022 Marguerite Su <i@marguerite.su>
- update version 5.0.8
  * translation update
* Wed Dec 15 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.7
  * Remove unused fcitx4 files
* Wed May  5 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.5
  * update translation
- changes in version 5.0.4
  * Fix dict not included in the tarball
* Tue Mar 16 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.3
* Sun Jan 31 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.2
* Sun Dec  6 2020 Marguerite Su <i@marguerite.su>
- update version 5.0.1
- drop fcitx5-zhuyin-5.0.0-database-format.patch, upstreamed
* Tue Nov 10 2020 Marguerite Su <i@marguerite.su>
- update version 5.0.0
- add fcitx5-zhuyin-5.0.0-table.conf.patch
  * libpinyin 2.4.94 introduced a new "database format"
    in table.conf, which can either be BerkeleyDB or
    KyotoCabinet
- use model19.text.tar.gz
* Fri Sep  4 2020 Marguerite Su <i@marguerite.su>
- initial package
